Bug 139711 - Traceback when removing LV with mounted filesystem.
Traceback when removing LV with mounted filesystem.
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 13:04 EST by Derek Anderson
Modified: 2009-04-16 19:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-19 16:52:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2004-11-17 13:04:42 EST
Description of problem:
Create an LV and make and mount a filesystem on it.  Navigate to the
logical view of the LV and click "Remove Logical Volume".  After
confirming that you're really really sure you want to do this and lose
your data the operation proceeds.

Got this traceback:
Traceback (most recent call last):
  File "/usr/share/system-config-lvm/Volume_Tab_View.py", line 321, in
on_tree_selection_changed
    lv_data = self.model_factory.get_data_for_LV(lv_name)
  File "/usr/share/system-config-lvm/lvm_model.py", line 665, in
get_data_for_LV
    words = lines[0].split(",")
IndexError: list index out of range

Version-Release number of selected component (if applicable):
system-config-lvm-0.9.11-1.0

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Derek Anderson 2004-11-17 16:44:49 EST
This does not seem to be reproducible.  I'll try to get a consistent
recipe and update here.
Comment 2 Derek Anderson 2004-11-17 17:15:00 EST
The key to making this happen is to have LVs of the same name in
different VGs.

For instance, create:
/dev/VG1/LV1 and
/dev/VG2/LV1

There are other more ubiquitous symptoms, which I just noticed.  In
the left hand navitation tree if you open up to the logical view of
both VGs, the duplicate named LV is constantly highlighted.
Comment 3 Jim Parsons 2004-11-18 22:29:49 EST
This bug was a great catch. Now LVs in different VGs can have the same
names without bad things happening to the tree selection mechanism.
Fixed in 0.9.12-1.0
Comment 4 Derek Anderson 2004-11-19 16:52:59 EST
Verified in system-config-lvm-0.9.12-1.0.

Note You need to log in before you can comment on or make changes to this bug.